Update organization’s compliance settings, including carrier name, office address, and DOT number
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write ELD Compliance Settings (US) under the Compliance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/fleet/settings/compliance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": true,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": false,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": false,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": false
}
'{
"data": {
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": false,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": true,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": true,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Information set here will be displayed in roadside inspections and in the transferred US DOT datafile. Can be set or updated through the Samsara Settings page or the API at any time. To override these fields for specific drivers, please visit Driver Settings
[deprecated] Allow Unregulated Vehicles. This setting is deprecated as all organizations can now mark vehicles as unregulated.
false
Enable Canada HOS
true
Carrier Name / Principal Place of Business Name
"ABC Trucking"
Carrier US DOT Number
12345678
Enable Driver Auto-Duty
false
Drivers Can Edit Certified Log
true
Force Manual Location For Duty Status Changes
false
Force Review of Unassigned HOS
true
Main Office Address / Principal Place of Businesss Address
"123 Main Street"
Persistent Duty Status
false
OK response.
Information set here will be displayed in roadside inspections and in the transferred US DOT datafile.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/fleet/settings/compliance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": true,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": false,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": false,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": false
}
'{
"data": {
"allowUnregulatedVehiclesEnabled": false,
"canadaHosEnabled": false,
"carrierName": "ABC Trucking",
"dotNumber": 12345678,
"driverAutoDutyEnabled": true,
"editCertifiedLogsEnabled": true,
"forceManualLocationForDutyStatusChangesEnabled": true,
"forceReviewUnassignedHosEnabled": true,
"mainOfficeFormattedAddress": "123 Main Street",
"persistentDutyStatusEnabled": true
}
}